package com.yuchen.saas.manage.user.api.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Objects;


@Data
@ApiModel(value = "RolePARK对象", description = "RolePARK对象")
public class RoleParkVO implements Serializable {

    private static final long serialVersionUID = 1L;


    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;




    @ApiModelProperty(value = "园区ID")
    private Long parkId;

    @ApiModelProperty(value = "园区ID")
    private String parkName;


    @Override
    public boolean equals(Object o) {
        if (this == o)
            return true;
        if (o == null || getClass() != o.getClass())
            return false;
        final RoleParkVO vo = (RoleParkVO) o;
        return Objects.equals(getParkId(), vo.getParkId());
    }

    @Override
    public int hashCode() {
        return Objects.hash(getParkId());
    }

}
